import argparse
import etcd3
from uncloud.common.etcd_wrapper import Etcd3Wrapper

arg_parser = argparse.ArgumentParser('client', add_help=False)
arg_parser.add_argument('--dump-etcd-contents-prefix', help="Dump contents below the given prefix")

def dump_etcd_contents(prefix):
    etcd = Etcd3Wrapper()
    for k,v in etcd.get_prefix_raw(prefix):
        k = k.decode('utf-8')
        v = v.decode('utf-8')
        print("{} = {}".format(k,v))
#    print("{} = {}".format(k,v))

#    for k,v in etcd.get_prefix(prefix):
#
    print("done")


def main(arguments):
    if 'dump_etcd_contents_prefix' in arguments:
        dump_etcd_contents(prefix=arguments['dump_etcd_contents_prefix'])
